import { select, 
        json,
        tsv,
        geoNaturalEarth2,
        geoPath,
        zoom,
        event} 
from 'd3'; 

import {
 feature
} from 'topojson';
 
const height = 900;
const width = 900;

const svg = d3.select('.map').attr('height',height)
                             .attr('width',width);

const projection = geoNaturalEarth2();
const path = geoPath(projection);
 

Promise.all(
  [
   json('https://unpkg.com/world-atlas@1.1.4/world/50m.json'),
   tsv('https://unpkg.com/world-atlas@1.1.4/world/50m.tsv')
  ]).then( ([ data,dataRef ]) => {
  
  
  const countName = d3.map(dataRef,(d)=> d.iso_n3); 
  const mapdata = feature(data,data.objects.countries).features;
  
  console.log(data);
  
  
  const mapContext = svg.append('g');
  

  const mapOutline = mapContext.append('path')
                                    .attr('class','map-outline')   
                                    .attr('d',path({ type:"Sphere"  }))
  
  
  const mapDetail =mapContext.selectAll('path').data(mapdata).enter().append('path');
  
  mapDetail.attr('d',path)
                .attr('class','map-drawn');
  
  mapDetail.append('title').text(d => {  
         return countName.get(d.id).economy.split('.')[1];
    });
  
  const zoomed = () => { mapContext.attr('transform', event.transform);};
  svg.call(zoom().on('zoom', () => { zoomed(); } ) );
  
});


json('https://raw.githubusercontent.com/deldersveld/topojson/master/countries/india/india-states.json',
    
    ).then((india_json)=>{
      const india = feature(india_json,india_json.objects.IND_adm1).features;
  
 
  
});
  
Promise.all([
  json('https://api.covid19api.com/dayone/country/india/status/confirmed/live')])
  .then((data_)=>{
  
  //https://api.covid19api.com/dayone/country/india/status/confirmed/live
  
   console.log(data_);  
});

  
 


 
